dbXML API

## org.dbxml.xml.sax
Interface CompressionHandler

public interface CompressionHandler

CompressionHandler is a SAX callback interface for reporting positional information about dbXML compressed Documents. All of these methods will be called immediate before any SAX start methods.

Field Summary
`static java.lang.String` `HANDLER`

Method Summary
`void` `dataBytes(byte[] data)` dataBytes sets the byte array for the definitions to follow.
`void` `dataLocation(int pos, int len)` dataLocation reports positional information for the Node to follow.
`void` `symbolID(short symbolID)` symbolID reports the SymbolID for the Node to follow.
`void` `symbols(SymbolTable symbols)` symbols reports the Symbol table that is being used for the decompression.

Field Detail

### HANDLER

    public static final java.lang.String HANDLER

Method Detail

### symbols

    public void symbols(SymbolTable symbols)

  symbols reports the Symbol table that is being used for the decompression. This method should only be called when the Symbol table changes in the stream. For example, before and after an imported Node is enountered that uses a diffferent Symbol table.
  Parameters:
    `symbols` - The Symbol Table

### dataBytes

    public void dataBytes(byte[] data)

  dataBytes sets the byte array for the definitions to follow. This method should only be called when the byte array object changes in the stream. For example, before and after an imported Node is encountered that uses a different byte array.
  Parameters:
    `data` - The Data

### dataLocation

    public void dataLocation(int pos,
                             int len)

  dataLocation reports positional information for the Node to follow.
  Parameters:
    `pos` - The offset into the data for this Node
    `len` - The length of this Node's definition

### symbolID

    public void symbolID(short symbolID)

  symbolID reports the SymbolID for the Node to follow. Because Symbol IDs are specific to a Node type (Element, Entity, and Attribute) this value needs to be stored until the type of Node is reported.
  Parameters:
    `symbol` - The Symbol ID

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved